<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Address</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects, class: Address">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":10,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":10,"i19":10,"i20":10,"i21":10,"i22":9,"i23":10,"i24":9,"i25":9,"i26":9,"i27":9,"i28":9,"i29":10,"i30":10,"i31":9,"i32":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Address.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects</a></div>
<h1 title="Class Address" class="title">Class Address</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.Address</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">Address</span>
extends <a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></pre>
<div class="block">Address integration for the ICI project. Mainly from the BAN database (Base d'Adresses Nationale)</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#entrance">entrance</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) org.locationtech.jts.geom.Point</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#geom">geom</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#IDsBuilding">IDsBuilding</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#irisCode">irisCode</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#nameStreet">nameStreet</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#number">number</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#parcel">parcel</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#source">source</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#suffix">suffix</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#DEBUG">DEBUG</a>, <a href="ICIObject.html#ID">ID</a>, <a href="ICIObject.html#rdGen">rdGen</a>, <a href="ICIObject.html#type">type</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,int,java.lang.String,java.lang.String,int,java.lang.String,org.locationtech.jts.geom.Point,boolean,boolean)">Address</a></span>&#8203;(java.lang.String&nbsp;id,
int&nbsp;number,
java.lang.String&nbsp;suffix,
java.lang.String&nbsp;nameStreet,
int&nbsp;irisCode,
java.lang.String&nbsp;source,
org.locationtech.jts.geom.Point&nbsp;geom,
boolean&nbsp;entrance,
boolean&nbsp;parcel)</code></th>
<td class="col-last">
<div class="block">Create and address from an ICI object</div>
</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature)">Address</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;feat)</code></th>
<td class="col-last">
<div class="block">Create an address object from BAN data.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectAndSumSingleFieldPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature,java.lang.String,java.lang.String)">affectAndSumSingleFieldPerAddress</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
org.opengis.feature.simple.SimpleFeature&nbsp;building,
java.lang.String&nbsp;fieldIn,
java.lang.String&nbsp;fieldOut)</code></th>
<td class="col-last">
<div class="block">Sum a field to the closest address.</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectBuildingIDsPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">affectBuildingIDsPerAddress</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
org.opengis.feature.simple.SimpleFeature&nbsp;building)</code></th>
<td class="col-last">
<div class="block">Affect the ID of buildings (from ICI objects) to the closest address(es).</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectBuildingToAddress(java.util.List,java.util.List)">affectBuildingToAddress</a></span>&#8203;(java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB,
java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress)</code></th>
<td class="col-last">
<div class="block">Attach building information for each address.</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectDemoStatPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature,java.lang.String%5B%5D)">affectDemoStatPerAddress</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
org.opengis.feature.simple.SimpleFeature&nbsp;building,
java.lang.String[]&nbsp;fields)</code></th>
<td class="col-last">
<div class="block">Sum the affected (demographic) data of buildings to the closest address.</div>
</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectDemoStatToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String%5B%5D)">affectDemoStatToAddress</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;address,
java.lang.String[]&nbsp;demoColl)</code></th>
<td class="col-last">
<div class="block">Affect demographic statistics in a building to (the closest) address.</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectFieldToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String,java.lang.String,java.lang.String%5B%5D)">affectFieldToAddress</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;address,
java.lang.String&nbsp;methodToUse,
java.lang.String&nbsp;mandatoryAttrName,
java.lang.String[]&nbsp;demoColl)</code></th>
<td class="col-last">
<div class="block">Affect fields of an input building collection to (the closest) address.</div>
</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectHouseholdPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">affectHouseholdPerAddress</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
org.opengis.feature.simple.SimpleFeature&nbsp;building)</code></th>
<td class="col-last">
<div class="block">Sum affected households (<i>logements</i> from BDTopo) to the closest address.</div>
</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectHouseholdsToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">affectHouseholdsToAddress</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;address)</code></th>
<td class="col-last">
<div class="block">Affect the number of households in a building to (the closest) address.</div>
</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectIndividualsPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">affectIndividualsPerAddress</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
org.opengis.feature.simple.SimpleFeature&nbsp;building)</code></th>
<td class="col-last">
<div class="block">Sum affected individuals (from <i>H24</i> export) to the closest address(es).</div>
</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectIndivToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">affectIndivToAddress</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;address)</code></th>
<td class="col-last">
<div class="block">Affect the number of individuals in a building to (the closest) address.</div>
</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportAddress(java.util.List,java.io.File)">exportAddress</a></span>&#8203;(java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lA,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>org.opengis.feature.simple.SimpleFeature</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateSimpleFeature()">generateSimpleFeature</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>static java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getClosestAddress(java.util.List,fr.ici.dataImporter.iciObjects.BuildingSimple,boolean,double)">getClosestAddress</a></span>&#8203;(java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress,
<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
boolean&nbsp;entrance,
double&nbsp;distanceToSeek)</code></th>
<td class="col-last">
<div class="block">Recursively look for an address meter by meter.</div>
</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getClosestAddress(org.geotools.data.simple.SimpleFeatureCollection,org.opengis.feature.simple.SimpleFeature,org.opengis.filter.FilterFactory2)">getClosestAddress</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressSFC,
org.opengis.feature.simple.SimpleFeature&nbsp;building,
org.opengis.filter.FilterFactory2&nbsp;ff)</code></th>
<td class="col-last">
<div class="block">Recursively look for an address meter by meter.</div>
</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>static java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getClosestEntrance(java.util.List,fr.ici.dataImporter.iciObjects.BuildingSimple,double)">getClosestEntrance</a></span>&#8203;(java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress,
<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
double&nbsp;distanceToSeek)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>static java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getClosestParcel(java.util.List,fr.ici.dataImporter.iciObjects.BuildingSimple,double)">getClosestParcel</a></span>&#8203;(java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress,
<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
double&nbsp;distanceToSeek)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>static java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getEntrancesFromAddresses(java.util.List)">getEntrancesFromAddresses</a></span>&#8203;(java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAdd)</code></th>
<td class="col-last">
<div class="block">Get addresses that represents an entrance</div>
</td>
</tr>
<tr class="row-color" id="i17">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getEntrancesFromAddresses(org.geotools.data.simple.SimpleFeatureCollection,org.opengis.filter.FilterFactory2)">getEntrancesFromAddresses</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;addresses,
org.opengis.filter.FilterFactory2&nbsp;ff)</code></th>
<td class="col-last">
<div class="block">Get addresses that represents an entrance</div>
</td>
</tr>
<tr class="alt-color" id="i18">
<td class="col-first"><code>org.locationtech.jts.geom.Point</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getGeom()">getGeom</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i19">
<td class="col-first"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getIDsBuilding()">getIDsBuilding</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i20">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNameStreet()">getNameStreet</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i21">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getNumber()">getNumber</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i22">
<td class="col-first"><code>static java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getParcelsFromAddresses(java.util.List)">getParcelsFromAddresses</a></span>&#8203;(java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAdd)</code></th>
<td class="col-last">
<div class="block">Get addresses that represents the parcel</div>
</td>
</tr>
<tr class="row-color" id="i23">
<td class="col-first"><code>org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSFB()">getSFB</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i24">
<td class="col-first"><code>static org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSFBforAffection(java.lang.String,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String%5B%5D)">getSFBforAffection</a></span>&#8203;(java.lang.String&nbsp;method,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressSFC,
java.lang.String[]&nbsp;demoColl)</code></th>
<td class="col-last">
<div class="block">Select a predefined SimpleFeatureBuilder for the type of chosen summarization.</div>
</td>
</tr>
<tr class="row-color" id="i25">
<td class="col-first"><code>static java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importAddressFromBAN(java.io.File,org.locationtech.jts.geom.Geometry)">importAddressFromBAN</a></span>&#8203;(java.io.File&nbsp;addressFile,
org.locationtech.jts.geom.Geometry&nbsp;mask)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i26">
<td class="col-first"><code>static java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importAddressFromCsvBAN(java.io.File,org.locationtech.jts.geom.Geometry)">importAddressFromCsvBAN</a></span>&#8203;(java.io.File&nbsp;addressFile,
org.locationtech.jts.geom.Geometry&nbsp;mask)</code></th>
<td class="col-last">
<div class="block">Import addresses from an already geocoded file</div>
</td>
</tr>
<tr class="row-color" id="i27">
<td class="col-first"><code>static java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importAddressFromGeocodedBAN(java.io.File,org.locationtech.jts.geom.Geometry)">importAddressFromGeocodedBAN</a></span>&#8203;(java.io.File&nbsp;addressFile,
org.locationtech.jts.geom.Geometry&nbsp;mask)</code></th>
<td class="col-last">
<div class="block">Import addresses from an already geocoded file</div>
</td>
</tr>
<tr class="alt-color" id="i28">
<td class="col-first"><code>static java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importAddressFromICI(java.io.File)">importAddressFromICI</a></span>&#8203;(java.io.File&nbsp;addressFile)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i29">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#isEntrance()">isEntrance</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i30">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#isParcel()">isParcel</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i31">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#separateTypeRoadFromNameRoad(java.lang.String)">separateTypeRoadFromNameRoad</a></span>&#8203;(java.lang.String&nbsp;totalName)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i32">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setIDsBuilding(java.util.List)">setIDsBuilding</a></span>&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;IDsBuilding)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="ICIObject.html#getID()">getID</a>, <a href="ICIObject.html#getType()">getType</a>, <a href="ICIObject.html#hashCode()">hashCode</a>, <a href="ICIObject.html#setRdGen(java.util.Random)">setRdGen</a>, <a href="ICIObject.html#toString()">toString</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="number">
<h3>number</h3>
<div class="member-signature"><span class="return-type">int</span>&nbsp;<span class="member-name">number</span></div>
</section>
</li>
<li>
<section class="detail" id="irisCode">
<h3>irisCode</h3>
<div class="member-signature"><span class="return-type">int</span>&nbsp;<span class="member-name">irisCode</span></div>
</section>
</li>
<li>
<section class="detail" id="suffix">
<h3>suffix</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">suffix</span></div>
</section>
</li>
<li>
<section class="detail" id="nameStreet">
<h3>nameStreet</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">nameStreet</span></div>
</section>
</li>
<li>
<section class="detail" id="source">
<h3>source</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">source</span></div>
</section>
</li>
<li>
<section class="detail" id="geom">
<h3>geom</h3>
<div class="member-signature"><span class="return-type">org.locationtech.jts.geom.Point</span>&nbsp;<span class="member-name">geom</span></div>
</section>
</li>
<li>
<section class="detail" id="entrance">
<h3>entrance</h3>
<div class="member-signature"><span class="return-type">boolean</span>&nbsp;<span class="member-name">entrance</span></div>
</section>
</li>
<li>
<section class="detail" id="parcel">
<h3>parcel</h3>
<div class="member-signature"><span class="return-type">boolean</span>&nbsp;<span class="member-name">parcel</span></div>
</section>
</li>
<li>
<section class="detail" id="IDsBuilding">
<h3>IDsBuilding</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">IDsBuilding</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(org.opengis.feature.simple.SimpleFeature)">
<h3>Address</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Address</span>&#8203;(<span class="parameters">org.opengis.feature.simple.SimpleFeature&nbsp;feat)</span></div>
<div class="block">Create an address object from BAN data.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>feat</code> - Ban feature</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,int,java.lang.String,java.lang.String,int,java.lang.String,org.locationtech.jts.geom.Point,boolean,boolean)">
<h3>Address</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Address</span>&#8203;(<span class="parameters">java.lang.String&nbsp;id,
int&nbsp;number,
java.lang.String&nbsp;suffix,
java.lang.String&nbsp;nameStreet,
int&nbsp;irisCode,
java.lang.String&nbsp;source,
org.locationtech.jts.geom.Point&nbsp;geom,
boolean&nbsp;entrance,
boolean&nbsp;parcel)</span></div>
<div class="block">Create and address from an ICI object</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="exportAddress(java.util.List,java.io.File)">
<h3>exportAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">exportAddress</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lA,
java.io.File&nbsp;fileOut)</span>
                                  throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importAddressFromBAN(java.io.File,org.locationtech.jts.geom.Geometry)">
<h3>importAddressFromBAN</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">importAddressFromBAN</span>&#8203;(<span class="parameters">java.io.File&nbsp;addressFile,
org.locationtech.jts.geom.Geometry&nbsp;mask)</span>
                                                    throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importAddressFromCsvBAN(java.io.File,org.locationtech.jts.geom.Geometry)">
<h3>importAddressFromCsvBAN</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">importAddressFromCsvBAN</span>&#8203;(<span class="parameters">java.io.File&nbsp;addressFile,
org.locationtech.jts.geom.Geometry&nbsp;mask)</span>
                                                       throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import addresses from an already geocoded file</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressFile</code> - geo file with addresses</dd>
<dd><code>mask</code> - geometry that could create a mask to get only intersecting addresses (can be null)</dd>
<dt>Returns:</dt>
<dd>the list of ICI #Address</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading geoFile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importAddressFromGeocodedBAN(java.io.File,org.locationtech.jts.geom.Geometry)">
<h3>importAddressFromGeocodedBAN</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">importAddressFromGeocodedBAN</span>&#8203;(<span class="parameters">java.io.File&nbsp;addressFile,
org.locationtech.jts.geom.Geometry&nbsp;mask)</span>
                                                            throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import addresses from an already geocoded file</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressFile</code> - geo file with addresses</dd>
<dd><code>mask</code> - geometry that could create a mask to get only intersecting addresses (can be null)</dd>
<dt>Returns:</dt>
<dd>the list of ICI #Address</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading geoFile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importAddressFromICI(java.io.File)">
<h3>importAddressFromICI</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">importAddressFromICI</span>&#8203;(<span class="parameters">java.io.File&nbsp;addressFile)</span>
                                                    throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectHouseholdsToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">
<h3>affectHouseholdsToAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">affectHouseholdsToAddress</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;address)</span>
                                                                                  throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Affect the number of households in a building to (the closest) address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingSFC</code> - Building collection containing the fields to match</dd>
<dd><code>address</code> - Address collection. Can optionnaly contain the information whether they are entrances or parcels in the <i>typ_loc</i> field (such as the French BAN).</dd>
<dt>Returns:</dt>
<dd>Collection of addresses with summary of the nearby building's characteristics</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - If affection method is not found</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectIndivToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection)">
<h3>affectIndivToAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">affectIndivToAddress</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;address)</span>
                                                                             throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Affect the number of individuals in a building to (the closest) address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingSFC</code> - Building collection containing the fields to match</dd>
<dd><code>address</code> - Address collection. Can optionnaly contain the information whether they are entrances or parcels in the <i>typ_loc</i> field (such as the French BAN).</dd>
<dt>Returns:</dt>
<dd>Collection of addresses with summary of the nearby building's characteristics</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - If affection method is not found</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectDemoStatToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String[])">
<h3>affectDemoStatToAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">affectDemoStatToAddress</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;address,
java.lang.String[]&nbsp;demoColl)</span>
                                                                                throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Affect demographic statistics in a building to (the closest) address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingSFC</code> - Building collection containing the fields to match</dd>
<dd><code>address</code> - Address collection. Can optionnaly contain the information whether they are entrances or parcels in the <i>typ_loc</i> field (such as the French BAN).</dd>
<dd><code>demoColl</code> - Array of attributes composing the demographic statistics</dd>
<dt>Returns:</dt>
<dd>Collection of addresses with summary of the nearby building's characteristics</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - If affection method is not found</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectFieldToAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String,java.lang.String,java.lang.String[])">
<h3>affectFieldToAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">affectFieldToAddress</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;buildingSFC,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;address,
java.lang.String&nbsp;methodToUse,
java.lang.String&nbsp;mandatoryAttrName,
java.lang.String[]&nbsp;demoColl)</span>
                                                                             throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Affect fields of an input building collection to (the closest) address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingSFC</code> - Building collection containing the fields to match</dd>
<dd><code>address</code> - Address collection. Can optionnaly contain the information whether they are entrances or parcels in the <i>typ_loc</i> field (such as the French BAN).</dd>
<dd><code>methodToUse</code> - Method (technique) of which field(s) to attach.</dd>
<dd><code>mandatoryAttrName</code> - An attribute name that value has to be a double, not null or 0 in order for the building to be counted. If empty, check's not done.</dd>
<dd><code>demoColl</code> - (optional)</dd>
<dt>Returns:</dt>
<dd>Collection of addresses with summary of the nearby building's characteristics</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - If affection method is not found</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectBuildingToAddress(java.util.List,java.util.List)">
<h3>affectBuildingToAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">affectBuildingToAddress</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB,
java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress)</span></div>
<div class="block">Attach building information for each address. Uses the defined field of #BuildingGroup and it's not implemented yet for #BuildingSimple
 //TODO finish BuildingSimple case
 If an address is not related to a building, it is not added.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lB</code> - List of building</dd>
<dd><code>lAddress</code> - list of addresses to affect</dd>
<dt>Returns:</dt>
<dd>a list of addresses with field</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getEntrancesFromAddresses(java.util.List)">
<h3>getEntrancesFromAddresses</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">getEntrancesFromAddresses</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAdd)</span></div>
<div class="block">Get addresses that represents an entrance</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lAdd</code> - input list of addresses</dd>
<dt>Returns:</dt>
<dd>entrance addressses (or the input addresses if no <i>typ_loc</i> field)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getParcelsFromAddresses(java.util.List)">
<h3>getParcelsFromAddresses</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">getParcelsFromAddresses</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAdd)</span></div>
<div class="block">Get addresses that represents the parcel</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lAdd</code> - input list of addresses</dd>
<dt>Returns:</dt>
<dd>entrance addressses (or the input addresses if no <i>typ_loc</i> field)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getEntrancesFromAddresses(org.geotools.data.simple.SimpleFeatureCollection,org.opengis.filter.FilterFactory2)">
<h3>getEntrancesFromAddresses</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">getEntrancesFromAddresses</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;addresses,
org.opengis.filter.FilterFactory2&nbsp;ff)</span></div>
<div class="block">Get addresses that represents an entrance</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addresses</code> - input addresses</dd>
<dd><code>ff</code> - filter factory to use (that may fast the process)</dd>
<dt>Returns:</dt>
<dd>entrance addressses (or the input addresses if no <i>typ_loc</i> field)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectBuildingIDsPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">
<h3>affectBuildingIDsPerAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">affectBuildingIDsPerAddress</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
org.opengis.feature.simple.SimpleFeature&nbsp;building)</span></div>
<div class="block">Affect the ID of buildings (from ICI objects) to the closest address(es).</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressesSFC</code> - list of addresses</dd>
<dd><code>addressBuilder</code> - builder to create new points</dd>
<dd><code>building</code> - building containing <i>NB_INDIV</i> attribute</dd>
<dt>Returns:</dt>
<dd>a collection of <code>SimpleFeature</code> with addressesSFC geometries and number of households</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectHouseholdPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">
<h3>affectHouseholdPerAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">affectHouseholdPerAddress</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
org.opengis.feature.simple.SimpleFeature&nbsp;building)</span></div>
<div class="block">Sum affected households (<i>logements</i> from BDTopo) to the closest address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressesSFC</code> - list of addresses</dd>
<dd><code>addressBuilder</code> - builder to create new points</dd>
<dd><code>building</code> - buildings containing <i>NB_LOGTS</i> attribute</dd>
<dt>Returns:</dt>
<dd>a collection of <code>SimpleFeature</code> with addressesSFC geometries and number of households</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectIndividualsPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature)">
<h3>affectIndividualsPerAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">affectIndividualsPerAddress</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
org.opengis.feature.simple.SimpleFeature&nbsp;building)</span></div>
<div class="block">Sum affected individuals (from <i>H24</i> export) to the closest address(es).</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressesSFC</code> - list of addresses</dd>
<dd><code>addressBuilder</code> - builder to create new points</dd>
<dd><code>building</code> - building containing <i>NB_INDIV</i> attribute</dd>
<dt>Returns:</dt>
<dd>a collection of <code>SimpleFeature</code> with addressesSFC geometries and number of households</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectDemoStatPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature,java.lang.String[])">
<h3>affectDemoStatPerAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">affectDemoStatPerAddress</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
org.opengis.feature.simple.SimpleFeature&nbsp;building,
java.lang.String[]&nbsp;fields)</span></div>
<div class="block">Sum the affected (demographic) data of buildings to the closest address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressesSFC</code> - list of addresses</dd>
<dd><code>addressBuilder</code> - builder to create new points</dd>
<dd><code>building</code> - buildings containing <i>NB_LOGTS</i> attribute</dd>
<dd><code>fields</code> - the fields to affect</dd>
<dt>Returns:</dt>
<dd>addresses with affection</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectAndSumSingleFieldPerAddress(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.feature.simple.SimpleFeatureBuilder,org.opengis.feature.simple.SimpleFeature,java.lang.String,java.lang.String)">
<h3>affectAndSumSingleFieldPerAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">affectAndSumSingleFieldPerAddress</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressesSFC,
org.geotools.feature.simple.SimpleFeatureBuilder&nbsp;addressBuilder,
org.opengis.feature.simple.SimpleFeature&nbsp;building,
java.lang.String&nbsp;fieldIn,
java.lang.String&nbsp;fieldOut)</span></div>
<div class="block">Sum a field to the closest address.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressesSFC</code> - list of addresses</dd>
<dd><code>addressBuilder</code> - builder to create new points</dd>
<dd><code>building</code> - buildings containing <i>NB_LOGTS</i> attribute</dd>
<dd><code>fieldIn</code> - name of the field to affect</dd>
<dd><code>fieldOut</code> - name of the field to write in the builder</dd>
<dt>Returns:</dt>
<dd>addresses with affection</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getClosestEntrance(java.util.List,fr.ici.dataImporter.iciObjects.BuildingSimple,double)">
<h3>getClosestEntrance</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">getClosestEntrance</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress,
<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
double&nbsp;distanceToSeek)</span></div>
</section>
</li>
<li>
<section class="detail" id="getClosestParcel(java.util.List,fr.ici.dataImporter.iciObjects.BuildingSimple,double)">
<h3>getClosestParcel</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">getClosestParcel</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress,
<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
double&nbsp;distanceToSeek)</span></div>
</section>
</li>
<li>
<section class="detail" id="getClosestAddress(java.util.List,fr.ici.dataImporter.iciObjects.BuildingSimple,boolean,double)">
<h3>getClosestAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">getClosestAddress</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAddress,
<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
boolean&nbsp;entrance,
double&nbsp;distanceToSeek)</span></div>
<div class="block">Recursively look for an address meter by meter. Understands if address has is a <i>entrance</i> type rather than a <i>parcel</i> in the <b>typ_loc</b> field.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lAddress</code> - input address collection</dd>
<dt>Returns:</dt>
<dd>the closest entrance(s) address(es)buffer</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getClosestAddress(org.geotools.data.simple.SimpleFeatureCollection,org.opengis.feature.simple.SimpleFeature,org.opengis.filter.FilterFactory2)">
<h3>getClosestAddress</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">getClosestAddress</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressSFC,
org.opengis.feature.simple.SimpleFeature&nbsp;building,
org.opengis.filter.FilterFactory2&nbsp;ff)</span></div>
<div class="block">Recursively look for an address meter by meter. Understands if address has is a <i>entrance</i> type rather than a <i>parcel</i> in the <b>typ_loc</b> field.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>addressSFC</code> - input address collection</dd>
<dt>Returns:</dt>
<dd>the closest entrance(s) address(es)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="separateTypeRoadFromNameRoad(java.lang.String)">
<h3>separateTypeRoadFromNameRoad</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">separateTypeRoadFromNameRoad</span>&#8203;(<span class="parameters">java.lang.String&nbsp;totalName)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSFBforAffection(java.lang.String,org.geotools.data.simple.SimpleFeatureCollection,java.lang.String[])">
<h3>getSFBforAffection</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getSFBforAffection</span>&#8203;(<span class="parameters">java.lang.String&nbsp;method,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;addressSFC,
java.lang.String[]&nbsp;demoColl)</span>
                                                                           throws <span class="exceptions">java.util.InvalidPropertiesFormatException</span></div>
<div class="block">Select a predefined SimpleFeatureBuilder for the type of chosen summarization. Mostly add column(s) to address schema.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>method</code> - Name of the type of affection to operate</dd>
<dd><code>addressSFC</code> - Collection of address</dd>
<dd><code>demoColl</code> - optional array of fields to add</dd>
<dt>Returns:</dt>
<dd>the builder with the address's schema + wanted schema</dd>
<dt>Throws:</dt>
<dd><code>java.util.InvalidPropertiesFormatException</code> - If method of affection not found</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getIDsBuilding()">
<h3>getIDsBuilding</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">getIDsBuilding</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setIDsBuilding(java.util.List)">
<h3>setIDsBuilding</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setIDsBuilding</span>&#8203;(<span class="parameters">java.util.List&lt;java.lang.String&gt;&nbsp;IDsBuilding)</span></div>
</section>
</li>
<li>
<section class="detail" id="isParcel()">
<h3>isParcel</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">isParcel</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getSFB()">
<h3>getSFB</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getSFB</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#getSFB()">getSFB</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getNameStreet()">
<h3>getNameStreet</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getNameStreet</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getGeom()">
<h3>getGeom</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.locationtech.jts.geom.Point</span>&nbsp;<span class="member-name">getGeom</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getNumber()">
<h3>getNumber</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getNumber</span>()</div>
</section>
</li>
<li>
<section class="detail" id="generateSimpleFeature()">
<h3>generateSimpleFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="member-name">generateSimpleFeature</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#generateSimpleFeature()">generateSimpleFeature</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isEntrance()">
<h3>isEntrance</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">isEntrance</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Address.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
